/* for easier compatibility */

#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <strings.h>
#include <netdb.h>
#include <signal.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <netinet/in.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>

#ifndef LOGFACILITY
#define LOGFACILITY LOG_LOCAL3
#endif
#define DEFAULT_FLOODLIMIT 10
#define DEFAULT_FLOODTIMEOUT 10

#ifndef VERSION
#define VERSION "version unknown"
#endif


#ifndef NOFILE
#define NOFILE 1024
#endif

#define BUFSIZE 256

#ifndef TCPLOGD_CF
#define TCPLOGD_CF "/etc/tcplogd.cf"
#endif

struct tcpflags {
	unsigned char flags;
	int facility;
	char name[BUFSIZE];
	struct tcpflags *next;
};

struct ports {
	unsigned int port;
	unsigned int hport; /* this should be zero or a higher port, if range
			     */
	unsigned char range; /* this actually would be boolean */
	struct ports *next;
};


#ifndef BSD_NETWORKING
struct ippkt
{
   struct iphdr ip;
   struct tcphdr tcp;
   char buffer[10000];
};
#else
struct ippkt
{
   struct ip ip;
   struct tcphdr tcp;
   char buffer[10000];
};
#endif


#ifndef BSD_NETWORKING
#define TH_FIN  0x01
#define TH_SYN  0x02
#define TH_RST  0x04
#define TH_PUSH 0x08
#define TH_ACK  0x10
#define TH_URG  0x20
#endif
